Subject: [bug#74517] [PATCH 0/8] Remove gtk@4 input dependency on qtbase@5.

From: Nicolas Graves <[email-masked]>
Date: Mon, 25 Nov 2024 08:47:25 +0100

On 2024-11-25 12:11, Maxim Cournoyer wrote:

> Hi,
>
> Nicolas Graves <[email-masked]> writes:
>
>> I found that curious that gtk@4 inherently requires qtbase@5
>> in the store's inputs.  Turns out it's based on a few libraries that
>> have optional graphical helping tools.  I've disabled them using
>> minimal variants.  After this patch series there are no input-only
>> path from gtk@4 to qtbase@5.
>>
>> Nicolas Graves (8):
>>   gnu: Add v4l-utils-minimal.
>>   gnu: zbar: Split outputs.
>>   gnu: Add zbar-minimal.
>>   gnu: libde265: Remove unused qtbase-5 input.
>
> I left some comments; I think I'd prefer a simpler rebuilt variant
> solution compared to the fancier but more frail (because of more
> complex) runpath hacking/trivial-build-system copying business involved
> in this version.

I get it, I chose that because of its lack of need to rebuild, while the
simpler rebuild variant would indeed require a rebuild (here a copy).
It's not that big of a subject here, these libraries are not super heavy
themselves so I'll change that.

I still like this solution for this reason, and I think this could be
applied for some other packages I've worked on (e.g. libreoffice is very
tricky to separate the build into steps, because some of its build
elements require the whole package, but it can be split at the end).
Agree to keep this as an exception when the alternative is really more
complex though, or when the build is very heavy (and thus making a copy
despite additional complexity makes sense).

>>   gnu: libde265: Update to 1.0.14.
>>   gnu: libdc1394: Replace v4l-utils by v4l-utils-minimal.
>>   gnu: gst-plugins-bad: Replace inputs with -minimal variants.
>>   gnu: gst-plugins-good: Replace v4l-utils by v4l-utils-minimal.
>
> These LGTM.
>
> Thanks a lot for tackling this problem!

-- 
Best regards,
Nicolas Graves